$(document).ready(function() {
    if(!localStorage.getItem('put-url')) localStorage.setItem('put-url', "http://127.0.0.1:8000/api");

	chrome.history.onVisited.addListener(function(result) {
		//console.log(result);
		addHistory(result);
	})
});

function addHistory(url) {

    var query = null;
	
	if(url.url.indexOf("www.google") > -1){
		var v = getUrlVars(url.url);
		var q = v.q;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Google";
			//query.date = Math.floor(url.lastVisitTime);		
		}
	}else if(url.url.indexOf("www.bing") > -1){
		var v = getUrlVars(url.url);
		var q = v.q;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Bing";
			//query.date = Math.floor(url.lastVisitTime);	
		}		
	}else if(url.url.indexOf("search.yahoo") > -1){
		var v = getUrlVars(url.url);
		var q = v.p;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Yahoo";
			//query.date = Math.floor(url.lastVisitTime);				
		}
	}
	
	if(query){
	    query.date = Math.floor(url.lastVisitTime);	
		query.browser = "Chrome";
		query = JSON.stringify(query);
		console.log(query);
			
		$.ajax({
			url: localStorage.getItem('put-url'),
			type: "POST",
			data: query,
			datatype: "json"
		})
		.done(function(e) {
			localStorage.setItem('last-submission', new Date().getTime() / 1000);
		})
		.fail(function() {
		})
		.always(function() {
		});		
	}
}

function getUrlVars(href)
{
    var vars = [], hash;
    var hashes = href.slice(href.indexOf(href.match('[#?]')) + 1).split(/[&#]+/);
    for(var i = 0; i < hashes.length; i++)
    {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
    return vars;
}